跳到主要内容

领取策略赠予

POST/research/gifts/{gift_code}/claim在线调试
POST https://api.shengkezhi.com/open/v1/research/gifts/GIFT-8K3M2P/claim
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/gifts/GIFT-8K3M2P/claim" \
  -H "Authorization: Bearer sk_xxx"

POST /research/gifts/{gift_code}/claim — 领取策略赠予。

需在请求头携带 Authorization: Bearer sk_xxx

请求参数

参数位置类型必填默认值说明
gift_codepathstring-32 位十六进制赠予码

响应 data

字段类型必填说明
from_user_idstring赠予方 user_id。
itemsGiftClaimItem[]逐条落地结果,顺序与码内策略一致。

调用示例

curl -X POST "https://api.shengkezhi.com/open/v1/research/gifts/GIFT-8K3M2P/claim" \
-H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"from_user_id": "experiment_20260701_001",
"items": [
{
"inserted": true,
"origin_strategy_code": "STRAT_MOMENTUM_001",
"renamed": true,
"strategy_code": "STRAT_MOMENTUM_001"
}
]
},
"msg": "ok"
}